Foreman - Bug #16384

Email notification preference names are not localized
08/30/2016 04:44 PM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Bryan Kearney
Category: Internationalization
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1341962 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3798
Description

The notification names are generated by using humanized versions of the name which is stored in the database. These are not
localized.

Associated revisions

Revision d5415cbb - 09/01/2016 02:07 AM - Bryan Kearney

Fixes #16384 - Localize the names for email prefs
Two changes were made to support this:
1) The seed file which loads the notifications to the db was

augmented to add in the translated forms of the name.
2) The ui was enhanced to use gettext to look up the translations.

History

#1 - 08/30/2016 04:48 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Bryan Kearney

- Pull request https://github.com/theforeman/foreman/pull/3798 added

#2 - 08/30/2016 04:50 PM - Bryan Kearney
- Bugzilla link set to 1341962

#3 - 09/01/2016 03:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d5415cbbf6d2e253e4db2dea3e765b90bd6d5251.

#4 - 09/01/2016 04:10 AM - Dominic Cleal

- translation missing: en.field_release set to 160
